summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Tim Dickson (timsoft)2019-11-16 15:16:33 +0100
committer Willy Sudiarto Raharjo2019-11-16 15:16:33 +0100
commitc85b36b33f8a0d07ecfa684a64d3a6601ae93c29 (patch)
tree6e4e151c418d9d76bec164b87a215afa31eb58cc /games
parent5ed686759954a173c715912216babb3ab441d406 (diff)
downloadslackbuilds-c85b36b33f8a0d07ecfa684a64d3a6601ae93c29.tar.gz
games/waterCloset: Added (An SDL2 based puzzle platform game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/waterCloset/README11
-rw-r--r--games/waterCloset/doinst.sh4
-rw-r--r--games/waterCloset/slack-desc19
-rw-r--r--games/waterCloset/waterCloset.SlackBuild77
-rw-r--r--games/waterCloset/waterCloset.info10
5 files changed, 121 insertions, 0 deletions
diff --git a/games/waterCloset/README b/games/waterCloset/README
new file mode 100644
index 0000000000..36816e0186
--- /dev/null
+++ b/games/waterCloset/README
@@ -0,0 +1,11 @@
+Water Closet (AKA WC) is a (somewhat ridiculous) 2D platform puzzle
+game. Guide Walter Chambers through a series of stages as he attempts
+to return home from a bizarre world that he has become trapped in.
+
+The program is GPL3 and the data is CC BY-NC-SA 3.0 with attribution
+Copyright 2019, PArallel REalities
+
+This is an SDL2 game which uses SDL2_image, SDL2_mixer and SDL2_TTF.
+All dependancies are available from slackbuilds.org.
+
+This game was created by parallelrealities.co.uk
diff --git a/games/waterCloset/doinst.sh b/games/waterCloset/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/waterCloset/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/waterCloset/slack-desc b/games/waterCloset/slack-desc
new file mode 100644
index 0000000000..f7ee827111
--- /dev/null
+++ b/games/waterCloset/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+waterCloset: waterCloset (An SDL2 based puzzle platform game)
+waterCloset:
+waterCloset: Water Closet (AKA WC) is a (somewhat ridiculous) 2D platform
+waterCloset: puzzle game. Guide Walter Chambers through a series of stages
+waterCloset: as he attempts to return home from a bizarre world that he has
+waterCloset: become trapped in.
+waterCloset:
+waterCloset: Code is licensed under GNU GPL 3.0 and graphics and data files
+waterCloset: are licensed under Creative Commons BY-NC-SA 3.0 with the
+waterCloset: following attribution. Copywrite 2019 Parallel Realities.
+waterCloset: software by www.parallelrealities.co.uk
diff --git a/games/waterCloset/waterCloset.SlackBuild b/games/waterCloset/waterCloset.SlackBuild
new file mode 100644
index 0000000000..e548b8f0e8
--- /dev/null
+++ b/games/waterCloset/waterCloset.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+# Slackware build script for waterCloset
+
+# Written by Tim Dickson dickson.tim@googlemail.com
+# (C) 2019
+# changelog
+#
+# 14/11/2019. version 0.9.2 first version for this script
+# fix doc dir for slackware defaults.
+
+PRGNAM=waterCloset
+GITNAM=wc
+VERSION=${VERSION:-0.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $GITNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#fix hard-coded manual location
+#sed -i "s_blobwars/man_blobwars-$VERSION/man_" data/titleWidgets
+
+#doc dir fixed for slackware and help display bug.
+#note. the trailing / on the first make command is intentional.
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp README.md LICENSE legalcode.txt $PKG/usr/doc/$PRGNAM-$VERSION/
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/waterCloset/waterCloset.info b/games/waterCloset/waterCloset.info
new file mode 100644
index 0000000000..2632f81859
--- /dev/null
+++ b/games/waterCloset/waterCloset.info
@@ -0,0 +1,10 @@
+PRGNAM="waterCloset"
+VERSION="0.9.2"
+HOMEPAGE="https://www.parallelrealities.co.uk/games/wc/"
+DOWNLOAD="https://github.com/stephenjsweeney/wc/archive/v0.9.2/waterCloset-0.9.2.src.tar.gz"
+MD5SUM="eacb67347c3918af3c20c1e2f473568e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SDL2_image SDL2_mixer SDL2_ttf"
+MAINTAINER="Tim Dickson (timsoft)"
+EMAIL="dickson.tim@googlemail.com"